Monday, July 18, 2016

Sitecore commerce required license missing error

After upgrading to Sitecore 8.1 the following error message may start appearing in the content editor:
Required license is missing.
You require one of the following licenses to use the Sitecore Commerce Connect module. 'Sitecore.Commerce.Connect' or 'Sitecore.Commerce.ConnectPartner'

The solution to suppressing this error message involves removing the Sitecore.Commerce.Pipelines.ContentEditorLicenseWarning processcor pipeline. The following patch file will delete the element, however it should be run last so include it in a z folder in App_Config.

<configuration xmlns:patch="http://www.sitecore.net/xmlconfig/">
  <sitecore>
    <pipelines>
      <getContentEditorWarnings>
        <processor type="Sitecore.Commerce.Pipelines.ContentEditorLicenseWarning, Sitecore.Commerce">
          <patch:delete />
        </processor>
      </getContentEditorWarnings>
    </pipelines>
  </sitecore>
</configuration>

No comments:

Post a Comment